{
  "name": "",
  "version": "1.0.0",
  "description": "",
  "main": "dist/src/functions/*.js",
  "scripts": {
    "build": "tsc",
    "watch": "tsc -w",
    "clean": "rimraf dist",
    "prestart": "npm run clean && npm run build",
    "start": "func start",
    "test": "jest"
  },
  "dependencies": {
    "@azure/functions": "^4.0.0",
    "@azure/identity": "^3.1.3",
    "@microsoft/microsoft-graph-client": "^3.0.5",
    "@sendgrid/mail": "^7.7.0",
    "dotenv": "^16.0.3",
    "mysql2": "^2.3.3",
    "redis": "^3.1.2",
    "typeorm": "^0.3.10"
  },
  "devDependencies": {
    "@types/jest": "^27.5.0",
    "@types/node": "18.x",
    "@types/redis": "^2.8.13",
    "azure-functions-core-tools": "^4.x",
    "jest": "^28.0.3",
    "rimraf": "^5.0.0",
    "sqlite3": "^5.1.6",
    "supertest": "^6.1.3",
    "ts-jest": "^28.0.1",
    "typescript": "^4.0.0"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s"
    ],
    "coverageDirectory": "../coverage",
    "testEnvironment": "node"
  }
}
